#
# spec file for package gpsdrive (Version 2.09)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  gpp gtk2-devel-packages libgpp mysql-client mysql-devel pcre

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libstdc++-devel libtool mysql-client mysql-devel pango pango-devel pcre pcre-devel perl pkgconfig rpm update-desktop-files

Name:         gpsdrive
URL:          http://gpsdrive.kraftvoll.at/index.shtml
License:      GPL
Group:        Productivity/Graphics/Other
Autoreqprov:  on
Version:      2.09
Release:      20.3
Summary:      navigation via a GPS receiver
Source:       %{name}-%{version}.tar.bz2
Source1:      %name.desktop
Patch:        gpsdrive-kismethang.patch
Patch1:       gpsdrive-eventtype.patch
Patch2:       gpsdrive-fprintf.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GpsDrive supports GPS receiver via seriell port. It can navigate you
via cards from http://www.mapblast.com or http://www.expedia.com.
Please have a look to the copyright of the maps.



Authors:
--------
    Fritz Ganter <ganter@ganter.at>

%prep
%setup -q
%patch
%patch2
export PK_CONFIG_PATH=/opt/gnome/lib64/pkgconfig

%build
rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing "
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
            
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# cleanup
rm -rf $RPM_BUILD_ROOT/usr/share/gpsdrive/gpsdrive
# moving greek translation into correct directory
mv $RPM_BUILD_ROOT%{_prefix}/share/locale/{gr,el}
#remove not needed files from /usr/share/gpsdrive
cd $RPM_BUILD_ROOT/usr/share/gpsdrive
ls | grep -v "\.png$" | grep -v "\.jpg$" | grep -v "\.gif$" | grep -v "^\." | xargs rm
cd -
%suse_update_desktop_file -i %name Utility Map

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc GPS-receivers README README.FreeBSD TODO ChangeLog INSTALL
%doc AUTHORS COPYING LEEME LISEZMOI LISEZMOI.SQL LISEZMOI.kismet 
%doc  FAQ.gpsdrive FAQ.gpsdrive.fr README.SQL
%doc README.gpspoint2gspdrive README.kismet create.sql wp2sql NMEA.txt
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/es/man1/*
%{_bindir}/*
%{_libdir}/*
%dir /usr/share/gpsdrive
/usr/share/applications/gpsdrive.desktop
%{_prefix}/share/gpsdrive/*.png
%{_prefix}/share/gpsdrive/*.jpg
%{_prefix}/share/gpsdrive/*.gif
%{_prefix}/share/locale/ja/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/de/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/es/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/it/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/da/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/nl/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/hu/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/tr/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/de_AT/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/pt_BR/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/sk/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/sv/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/el/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/no/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/pixmaps/gpsicon.png

%changelog -n gpsdrive
* Thu Nov 10 2005 - sf@suse.de
- fix for bug #132525 (format string bug)
* Tue Apr 06 2004 - sf@suse.de
-  added gpsdriveanim.gif (#38475)
* Mon Mar 22 2004 - uli@suse.de
- fix hangs when trying to read from kismet server
- fix event type in mapclick_cb()
* Fri Mar 05 2004 - sf@suse.de
- update to version 2.09
  fixes a big bug in the waypoint list if the format
  is  not set to decimal display
  adds a German Expedia map  server, and
  a new gpsfetchmap.pl.
* Fri Feb 27 2004 - sf@suse.de
- update to 2.08
- added some Docs
* Fri Jan 23 2004 - sf@suse.de
-  add -fno-strict-aliasing to CFLAGS
* Wed Jan 21 2004 - sf@suse.de
- update to version 2.07
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Nov 13 2003 - sf@suse.de
-  update to version 2.04
* Mon Aug 25 2003 - sf@suse.de
- update to version 2.03
  minor bugfixes and feature updates
* Sun Aug 17 2003 - adrian@suse.de
- added desktop file
* Tue Jul 29 2003 - sf@suse.de
- update to version 2.01
  Downloading maps from the Expedia server works again
  A new icon was added to friends mode
* Fri Jul 25 2003 - sf@suse.de
- update to version 2.00
- japanese language support
- remove unpacked files
* Tue Jun 10 2003 - coolo@suse.de
- moving greek translation into correct locale
- misc fixes
* Wed Jun 04 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Feb 25 2003 - kukuk@suse.de
- Include cassert.
* Wed Jan 29 2003 - sf@suse.de
- update to version 1.32:
- greek language support
- use libmysql with dlopen
* Wed Jan 15 2003 - sf@suse.de
- update to version 1.31
* Mon Nov 18 2002 - sf@suse.de
- update to version 1.30:
  Added support for 'kismet', a WLAN detection tool.
  Added icons for some waypoint types in SQL mode (see README.SQL).
  Added SQL support. Currently it supports MySQL.
  Fixed changed URL for map download.
  Fixed crash in position mode.
  Updated translations.
  Gpsd now can read from file.
  Bugfix for GPS receivers sending GGA instead of RMC sentences.
  Bugfix for very large track files.
* Tue Oct 01 2002 - sf@suse.de
- upgrade to version 1.28
  changed URL to mapfiles
  Fixed crash in position mode
  Updated translations
  Gpsd now can read from file.
* Thu Sep 19 2002 - sf@suse.de
- upgrade to version 1.27 (minor bugfixes)
* Fri Sep 06 2002 - sf@suse.de
- update to 1.26, which is only a bugfix-release
  to correct errors downloading maps
- minor filelist changes
* Tue Jul 23 2002 - sf@suse.de
- update to version 1.25
- corrected filelist
* Mon Jul 08 2002 - sf@suse.de
- updated to version 1.24
* Thu May 23 2002 - sf@suse.de
- initial version 1.22
